Subject: dejagnu too noisy by default

From: Tom Tromey <[email-masked]>
Date: Wed, 22 Nov 2023 16:59:17 -0700

I think runtest prints too much information to stdout by default.

Consider the appended output.  This comes from running a single gdb
test.

A little bit of this is gdb-specific (the "HIP" override line).  But
most of it is not.

Most output is not really useful.  In fact, pretty much the only lines I
might normally be interested in are the "Running [...]" line and the
result summary, so that if I "make -j8 check" I can easily see which
tests are being run.  (FWIW for -j8 even the summary isn't interesting
because gdb's Makefile has to collate the results at the end anyway.)

So, I think runtest should print a lot less text by default.  Emitting
it to the .log file is sufficient (although some could even be trimmed
from there).

If you don't like that, though, how about a command line option to make
it be more quiet?

Tom

prentzel. runtest gdb.cp/local-static.exp
WARNING: Couldn't find the global config file.
Using /home/tromey/gdb/build/gdb/testsuite/../../../binutils-gdb/gdb/testsuite/lib/gdb.exp as tool init file.
NOTE: Dejagnu's default_target_compile is missing support for HIP, using local override
Test run by tromey on Wed Nov 22 16:53:00 2023
Native configuration is x86_64-pc-linux-gnu

		=== gdb tests ===

Schedule of variations:
    unix

Running target unix
Using /usr/share/dejagnu/baseboards/unix.exp as board description file for target.
Using /usr/share/dejagnu/config/unix.exp as generic interface file for target.
Using /home/tromey/gdb/build/gdb/testsuite/../../../binutils-gdb/gdb/testsuite/config/unix.exp as tool-and-target-specific interface file.
Running /home/tromey/gdb/build/gdb/testsuite/../../../binutils-gdb/gdb/testsuite/gdb.cp/local-static.exp ...

		=== gdb Summary ===

# of expected passes		407
/home/tromey/gdb/build/gdb/gdb version  15.0.50.20231121-git -nw -nx -q -iex "set height 0" -iex "set width 0" -data-directory /home/tromey/gdb/build/gdb/data-directory